#include "parser.h"
#include "printer.h"

#include "application.h"

class binomialList2DegreeApplication: public CatsApplication
{
  const char *helpText()
  {
    return "This program takes a list of binomials in CaTS' "
      "format? as input and outputs the maximal degree of the elemenst in the list.\n";
  }
  int main()
  {
    gbasis g=FileParser(stdin).parseBinomialList(MAXNUMBEROFVARIABLES);
    printf("%i\n",degree(g));

    return 0;
  }
};

static binomialList2DegreeApplication theApplication;
