#include "parser.h"
#include "printer.h"

#include "application.h"

class VectorList2MonomialListApplication: public CatsApplication
{
  const char *helpText()
  {
    return "This program converts a list of vectors to a list of monomials\n";
  }

  int main()
  {
    gbasis g=FileParser(stdin).parseMatrix();
    AsciiPrinter(stdout).printMonomialListNewLine(g);
    
    return 0;
  }
};

static VectorList2MonomialListApplication theApplication;
