#ifndef DECOMPOSE_H_INCLUDED
#define DECOMPOSE_H_INCLUDED

#include "vektor.h"
#include "flip.h"

void primaryDecomposition(gbasis &monomialIdeal, gbasis *supportSet, gbasis *vectorSet);
gfan ass(gbasis &monomialIdeal);
bool hasEmbeddedPrimes(gbasis const &monomialIdeal);

struct StandardPair
{
  vektor_i root;
  vektor_i face;
  bool isNew;
  bool contains(StandardPair const &d)const;
  bool operator<(StandardPair const &b)const;
  void setIsNew(bool n)const{(const_cast<struct StandardPair*>(this))->isNew=n;}
};

typedef list<StandardPair> StandardPairList;
StandardPairList computeStandardPairs(gbasis const &monomialIdeal);

#endif
