#ifndef ea_reverse_h_INCLUDED
#define ea_reverse_h_INCLUDED

#include "enumeration.h"

class ReverseSearch: public EnumerationAlgorithm
{
  int numberOfEdges;
  int numberOfVertices;
  bool breaked;
  int treeSize(const gbasis &g);
 protected:
  class ltcmp
    {//noedvendigt at lave ny cmp funktion! den gamle sammenlignede ikke kun lt
    public:
      bool operator()(const vektor_i& a,const vektor_i& b) const
	{
	  return a.lt()<b.lt();
	}
    };
  static ltcmp ltcmp2;
  virtual bool edgeTest(const vektor_i &e);
  virtual bool isOutgoing(gbasis &h, const vektor_i &mi);
  virtual gbasis findRoot(gbasis const &g);
 public:
  ReverseSearch();
  virtual void enumerate(gbasis g);
};

#endif
