#ifndef FLIP_H_
#define FLIP_H_

#include <stdio.h>
#include <set>
#include "vektor.h"
#include "print.h"
#include "division.h"
#include "graver.h"

typedef list<gbasis> gfan;
gbasis flip(const gbasis& g, const vektor_i& p);
gbasis flipAGraded(const gbasis& g, const vektor_i& p, GraverBasis &graver);
gbasis flipAGraded(const gbasis& g, const vektor_i& p, const gbasis& trueGroebnerBasis);

struct gbcmp
{
  bool operator()(const gbasis& a,const gbasis& b) const;
};

typedef set < gbasis, gbcmp > gfan2;


#endif
