#ifndef LP_CDD_H_INCLUDED
#define LP_CDD_H_INCLUDED

#include "lp.h"

class LpSolverCdd : public LpSolver
{
 public:
  const char *name(){return "cdd";}
  bool isFacet(const gbasis &g, gbasis::const_iterator i);
};

class LpSolverCddGmp : public LpSolver
{
 public:
  const char *name(){return "cddgmp";}
  bool isFacet(const gbasis &g, gbasis::const_iterator i);
};

#endif
