#ifndef NORMALIZ_H_INCLUDED
#define NORMALIZ_H_INCLUDED

#include "vektor.h"

gbasis normaliz(gbasis const &g);
bool isNormal(gbasis const &g);
bool isDeltaNormal(basis_i const &A, gbasis *triangulation, bool useNotOnlyRegularTriangulations, int printComments);
void printConvexHullInfo(const basis_i &A);//we use normaliz for this since normaliz gives integer vectors in its output

#endif
