#ifndef EA_EXHAUSTIVERADICAL_H_INCLUDED
#define EA_EXHAUSTIVERADICAL_H_INCLUDED

#include "enumeration.h"
#include "ea_exhaustive.h"

class ExhaustiveSearchFixedRadical: public ExhaustiveSearch
{
 protected:
  gbasis radical;
  virtual bool insertionTest(const vektor_i &e);
  virtual gbasis findRoot(gbasis const &g);
 public:
  void enumerate(gbasis g);
};


class ExhaustiveSearchAGradedFixedRadical: public ExhaustiveSearchAGraded
{
 protected:
  gbasis radical;
  virtual bool insertionTest(const vektor_i &e);
  virtual gbasis findRoot(gbasis const &g);
 public:
  ExhaustiveSearchAGradedFixedRadical(const gbasis &trueGroebnerBasis):ExhaustiveSearchAGraded(trueGroebnerBasis){};//use fiber search
  ExhaustiveSearchAGradedFixedRadical(const basis_i &A):ExhaustiveSearchAGraded(A){};//use graver basis
  void enumerate(gbasis g);
};

#endif
