#include "ea_revlex.h"

#include <algorithm>

#include "buchberger.h"

list<int> ReverseLexicographicEnumeration::permutation;

ReverseLexicographicEnumeration::ReverseLexicographicEnumeration()
{
}


void ReverseLexicographicEnumeration::enumerate(gbasis g)
{
  breaked=false;
  targetBeginEnumeration(g);
 for(int t=0;t<g.begin()->size();t++)permutation.push_back(t);
  do
    {
      vektor_i::TERMORDER=REVERSELEXICOGRAPHIC;
      vektor_i::setCheapVector(permutation);

      buchberger(g);
      gbasisminimal(&g);
      gbasisautoreduction(&g);

      /*      for(list<int>::const_iterator t=permutation.begin();t!=permutation.end();t++)
	fprintf(stderr,"%i ",*t);
      fprintf(stderr,"\n");
      */
      if(!targetBasis(g))
	{
	  breaked=true;
	  return;
	}
    }
  while(next_permutation(permutation.begin(),permutation.end()));
  fprintf(stderr,"test\n");
  targetEndEnumeration();
}
