#ifndef EP_LATEX_H_INCLUDED
#define EP_LATEX_H_INCLUDED

#include "enumeration.h"
#include "printer.h"

class LatexEnumerationPrinter: public EnumerationFilePrinter
{
  int basisCounter;
  Printer *printer;
public:
  LatexEnumerationPrinter();
  void beginEnumeration(const gbasis &g);
  void endEnumeration();
  void beginRadical(const gbasis &radical, int numberOfSymmetries);
  void endRadical();
  bool basis(const gbasis &g);
  string extension();
  void onOpened();
  void onClose();
  void onClosed();
};

#endif
