#ifndef PRINT_H__
#define PRINT_H__

#include <stdio.h>
#include "vektor.h"

void print_alfabeta();
void print_beginLaTeX(char *filename_, FILE* f=stdout);
void print_endLaTeX(FILE *f=stdout);
void print_math(FILE* f=stdout);

void print(const vektor_f &v, FILE* f=stdout);
void print(const vektor_i &v, FILE* f=stdout);
void printmono(const vektor_i &v, int sign, FILE *f=stdout);
void printt(const vektor_i &v, FILE *f=stdout);
void print(double a, FILE* f=stdout);
void print(int a, FILE* f=stdout);
void print(basis_f &b, FILE* f=stdout);
void printt(basis_f &b, FILE* f=stdout);
void print(basis_i &b, FILE* f=stdout);
void printmatrix(basis_i &b, FILE* f=stdout);
void printmatrixtransposed(basis_i &b, FILE* f=stdout);
void printmatrix(gbasis &b, FILE* f=stdout);
void printt(basis_i &b, FILE* f=stdout);
void printt(const gbasis &b, FILE *f=stdout);
void printt2(const gbasis &b, FILE *f=stdout);
void print(const gbasis &b, FILE *f=stdout);
void printinitial(const gbasis &b, FILE *f=stdout);

void printmono_tigers(const vektor_i &v, int sign, FILE *f);
void printt_tigers(const vektor_i &v, FILE *f);
void print_tigers(const gbasis &g, int num, FILE *f);
void print_tigers_in(const gbasis &g, int num, FILE *f);
void print_tigers_strip(const gbasis &g, int num, FILE *f);
void print_tigers_in_strip(const gbasis &g, int num, FILE *f);




void print_timebegin();
void print_time();
int print_gettime();
void print_timeend(FILE *f);

#endif
